#ifndef _H_VWM_PRIVATE_
#define _H_VWM_PRIVATE_

#include <glib.h>

#ifdef _VIPER_WIDE
#include <ncursesw/curses.h>
#else
#include <curses.h>
#endif

#define  VWM_HOTKEY_MENU	(27 | (96<<8))
#define  VWM_HOTKEY_WM	   (27 | (119<<8))

struct sigaction* vwm_sigset(int signum,sighandler_t handler);

/* default borders and controls callbacks */
gint     vwm_default_border_agent_focus(WINDOW *window,gpointer anything);
gint     vwm_default_border_agent_unfocus(WINDOW *window,gpointer anything);

/* default keystroke callbacks */
gint	   vwm_default_key_VWM_START(gint32 keystroke,gpointer anything);
gint	   vwm_default_key_VWM_STOP(gint32 keystroke,gpointer anything);
gint 	   vwm_default_key_WINDOW_CLOSE(gint32 keystroke,gpointer anything);
gint	   vwm_default_key_WINDOW_CYCLE(gint32 keystroke,gpointer anything);
gint 	   vwm_default_key_WINDOW_MOVE_UP(gint32 keystroke,gpointer anything);
gint	   vwm_default_key_WINDOW_MOVE_DOWN(gint32 keystroke,gpointer anythhing);
gint	   vwm_default_key_WINDOW_MOVE_LEFT(gint32 keystroke,gpointer anything);
gint	   vwm_default_key_WINDOW_MOVE_RIGHT(gint32 keystroke,gpointer anything);

/*	default events	*/
gint 	   vwm_hook_wm_start(WINDOW *window,gpointer arg);
gint 	   vwm_hook_wm_stop(WINDOW *window,gpointer arg);
gint	   vwm_background(WINDOW *window,gpointer arg);

/* helpers  */
void     vwm_modules_preload(void);
WINDOW* 	vwm_fmod_exit(gpointer anything);

#endif
